<template>
    <div class="row" >
        <div class="col-xl-3 col-lg-6 col-sm-6 text-center" v-for="(item , id) in progressBars" :key="id">
            <div class="progressbar">
            <div class="second circle" :data-percent='item.percent' exact active-class="active">
                <strong></strong>
                <!-- {'second circle' :item.percent} -->
            </div>
            <span>{{item.name}} </span>
            <br>
            </div>
        </div>
       
    </div>
</template>
<script>
import  { mapGetters  } from 'vuex';
export default {
    name :"progressBars",
    data : function(){
        return {
            item:""
            
        }
        
    },
        
computed: {
    
    ...mapGetters({
            progressBars : 'allProgressBars'
            
        })
        

    },
    
    mounted() {
        this.$store.dispatch('getAllProgressBars');
    }
}
</script>
<style scoped>

</style>